Subject: [rohc] uncompressed normal pkt

From: "Sarkar, Biplab" <[email-masked]>
Date: Fri, 7 Apr 2006 19:05:20 +0530

Hi,

I want to have a "state-less" packet parser for all "ROHC" packets. I am
finding it difficult to distinguish a Type-0 packet from
Profile:0x0000's Normal Packet. Both can have the MSB of the packet type
as "0".  Assume I have "Large-CID".

Any idea what can I do?

Thanks

Biplab

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lars-Erik Jonsson \(LU/EAB\)" <[email-masked]>
Date: Fri, 7 Apr 2006 16:38:39 +0200

> I want to have a "state-less" packet parser for all "ROHC"
> packets. I am finding it difficult to distinguish a Type-0
> packet from Profile:0x0000's Normal Packet. Both can have the
> MSB of the packet type as "0".  Assume I have "Large-CID".

Maybe I misunderstand your question, but profile 0 (uncompressed)
does not have a Type-0 packet type, only "IR" and "Normal".

BR,
/L-E

---

From: "West, Mark" <[email-masked]>
Date: Fri, 7 Apr 2006 15:43:02 +0100

Hi Biplab,

I'm not sure that I fully understand your question.  It is not possible to have completely stateless packet parsing: you can only parse a packet when you know the profile, and the profile is associated with a CID by IR(-DYN) packets.  Thus you have to at least maintain a mapping from CID -> profile.

However, assuming that you have such a mapping, then your question is easy to answer (see also Section 5.10.2 of RFC 3095).  With large CIDs there will be 1 or 2 octets of CID after the first byte of the packet.  So, decode the CID (according to the encoding defined in Section 4.5.6) and see if that CID is associated with Profile 0.

Finally, note that, depending upon the level of detail to which you wish to go, there are other aspects of packet composition that are dependent upon context values: there is not enough information in each packet header to enable it to be unambiguously decomposed.  If there were, I guess it wouldn't be much of a compression scheme ;-)

Cheers,

Mark.

-----Original Message-----
From: Sarkar, Biplab [mailto:[email-masked]]
Sent: Fri 4/7/2006 2:35 PM
To: [email-masked]
Subject: [rohc] uncompressed normal pkt
 
Hi,

Any idea what can I do?

Thanks

Biplab